INSTALLBOOT(8)

NAME
installboot - install bootstrap on a disk

SYNOPSIS
installboot [-nv] [-r root] disk [stage1 [stage2]]

DESCRIPTION
installboot installs bootstrap on the specified disk. The exact process used depends on the system architecture, however there is generally a primary bootstrap (often known as a boot block) and a secondary bootstrap (often known as a boot loader). Some architectures only require a single stage bootstrap, which is written to the beginning of the disk.

The options are as follows:

-n  Perform a dry run - do not actually write any bootstrap to the disk.

-r root
    Specify the mount point of the root filesystem to operate on, defaulting to /.

-v  Increase verbosity during operation.

disk
    Specify the disk to install the bootstrap on. This may be specified using a full pathname, an abbreviated disk form, or a disklabel UID.

stage1
    Specify the file to use for the primary bootstrap. If not specified, the default for this architecture will be used.

stage2
    Specify the file to use for the secondary bootstrap. If not specified, the default for this architecture will be used.

EXAMPLES
In its most basic form, to install bootstrap on disk sd0, using the default primary and secondary bootstrap files:

    # installboot sd0

To install bootstrap on an OpenBSD amd64 machine, using /usr/mdec/biosboot as the primary bootstrap and /usr/mdec/boot as the secondary bootstrap:

    # installboot -v wd0 /usr/mdec/biosboot /usr/mdec/boot

SEE ALSO
disklabel(8)